Lua_ChampionshipTipsWindow = class("Lua_ChampionshipTipsWindow", Lua_Window)
function Lua_ChampionshipTipsWindow:ctor()
	self:superCall("ctor")

	self.windowName = "Lua_ChampionshipTipsWindow"
	self.skinName = "ChampionshipTipsWindow_skin"
	self.showBlackMask = true
	self.isClickClose = true
end

function Lua_ChampionshipTipsWindow:buildShowItem()
	self:superCall("buildShowItem")
end

function Lua_ChampionshipTipsWindow:dispose()
	if self.itemList ~= nil then
		self.itemList:dispose();
		self.itemList = nil;
	end
	self:superCall("dispose")
end

function Lua_ChampionshipTipsWindow:showWin(param)
	self:superCall("showWin", param)
	local list = DataCenter.championshipUtil.openShowReward
	if self.itemList == nil then
		local width = #list > 3 and 320 or #list * 100
		self.itemList = Lua_DragList.new(self.content, width, 100, Lua_AxisDefine.Horizontal)
		self.itemList:setListCell(Lua_ChampionshipTipsItem, 100, 100, 1)
		self.itemList:setLocation(105, -5)
	end
	self.itemList:setArrayData(list)
	self.itemList.canDrag = not self.itemList.isTheEnd
	self.timeText.text = LanUtil.formateStr(540027, os.date("%m-%d %H:%M", param))
end




















Lua_ChampionshipTipsItem = class("Lua_ChampionshipTipsItem", Lua_ItemIconCell)
function Lua_ChampionshipTipsItem:buildShowItem()
	self:superCall("buildShowItem")
	self.itemIcon:setScale(0.8, 0.8)
end