-- 竞猜结果
Lua_ChampionshipQuizResultWindow = class("Lua_ChampionshipQuizResultWindow", Lua_Window)
function Lua_ChampionshipQuizResultWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_ChampionshipQuizResultWindow";
	self.skinName = "ChampionshipQuizResultWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_ChampionshipQuizResultWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.itemIcon = Lua_ItemIcon.new(self.content);
	self.itemIcon:setScale(0.9, 0.9, 1);
	self.itemIcon:setLocation(0, -33, 0);
	self.itemIcon:setCanClick(true);
end

function Lua_ChampionshipQuizResultWindow:dispose()
	if self.itemIcon ~= nil then
		self.itemIcon:dispose();
		self.itemIcon = nil;
	end
	self:superCall("dispose");
end

function Lua_ChampionshipQuizResultWindow:showWin(param)
	self:superCall("showWin", param);

	local str = DataCenter.championshipUtil:getScheduleStr(param.stage_info.event_type, param.stage_info.round);
	self.resultText.text = LanUtil.formateStr(540063, str);

	local vo = Lua_ToolVo.createToolVo(param.item.id);
	vo:fromServer(param.item);
	self.itemIcon:setData(vo);
end