Lua_ChampionshipFightResultWindow = class("Lua_ChampionshipFightResultWindow", Lua_Window)
function Lua_ChampionshipFightResultWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_ChampionshipFightResultWindow";
	self.skinName = "ChampionshipFightResultWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_ChampionshipFightResultWindow:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_ChampionshipFightResultWindow:dispose()
	self:superCall("dispose");
end

function Lua_ChampionshipFightResultWindow:showWin(param)
	self:superCall("showWin", param);

	self.stageText.text = LanUtil.formateStr(540068, DataCenter.championshipUtil:getScheduleStr(param.event_type, param.round))
	if DataCenter.roleData:isSameServer(param.server_prev) then
		self.nameText.text = LanUtil.formateStr(540069, param.win_player_name)
	else
		self.nameText.text = LanUtil.formateStr(540069, LanUtil.formateStr(10051, param.server_prev, param.win_player_name))
	end
end